-- create the main plans table
create table plans(
	id int primary key auto_increment,
	plan_key varchar(255),
	name varchar(255),
	category varchar(255),
	plan_type varchar(255),
	function varchar(255),
	size varchar(255)		
);
create index plans_idx1 on plans(plan_key);

-- create the group/set table 
create table group_sets(
	id int primary key auto_increment,
	group_name varchar(255),
	set_name varchar(255)
);
create index gs_idx1 on group_sets(group_name);
create index gs_idx2 on group_sets(set_name);

-- create biomes table
create table biomes(
	id int primary key auto_increment,
	biome_name varchar(255)
);
create index b_idx1 on biomes(biome_name);

-- create the many-to-many group_sets_plans table
-- this maps from a group-set combination to a plan or vise-versa
create table group_sets_plans(
	group_sets_id int,
	plan_id int
);
create index gsp_idx1 on group_sets_plans(group_sets_id);
create index gsp_idx2 on group_sets_plans(plan_id);

-- create the many-to-many biomes_plans table
-- this maps from a biome to a plan or vise-versa
create table biomes_plans(
	biome_id int,
	plan_id int
);
create index bp_idx1 on biomes_plans(biome_id);
create index bp_idx2 on biomes_plans(plan_id);